﻿/**
 * @file
 * @brief ShaderConstant型を記述する。
 * @author akino
 */
#if defined(XG3D_INCLUDED_SHADERCONSTANT_HPP)
#else
#define XG3D_INCLUDED_SHADERCONSTANT_HPP

//------------------------------------------------------------
namespace XG3D {

    // シェーダーに関する定数群。
    struct ShaderConstant
    {
        // Attribute。
        enum Attribute
        {
            Attribute_Position
            , Attribute_Normal
            , Attribute_TexCoord
            , Attribute_Color
            // term
            , Attribute_TERMINATE
            , Attribute_MIN = 0
            , Attribute_MAX = Attribute_TERMINATE-1
        };

        // Uniform。
        enum Uniform
        {
            Uniform_MtxProj
            , Uniform_MtxView
            , Uniform_TexActive
            , Uniform_TexSampler
            // term
            , Uniform_TERMINATE
            , Uniform_MIN = 0
            , Uniform_MAX = Uniform_TERMINATE-1
        };
    };

}
//------------------------------------------------------------
#endif
// EOF
